Package org.gradle.nativeplatform

## Interface PrebuiltLibrary

- All Superinterfaces:
    `Component`, `Library`, `Named`, `NativeLibrary`

      @Incubating
      public interface PrebuiltLibrary
      extends Named, NativeLibrary

  A library component that is not built by gradle.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DomainObjectSet<NativeLibraryBinary>` | `getBinaries()` | The binaries that are built for this component.
    `SourceDirectorySet` | `getHeaders()` | The headers exported by this library.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getBinaries

          DomainObjectSet<NativeLibraryBinary> getBinaries()

      The binaries that are built for this component. You can use this to configure the binaries for this component.

    - #### getHeaders

          SourceDirectorySet getHeaders()

      The headers exported by this library. These headers will be added to all binaries for this library.